Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.documentnavigation.destination
Class PDPageXYZDestination

    java.lang.Object
      org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
          org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
              org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageXYZDestination

All Implemented Interfaces:
  COSObjectable

public class PDPageXYZDestination
extends PDPageDestination

This represents a destination to a page at an x,y coordinate with a zoom setting. The default x,y,z will be whatever is the current value in the viewer application and are not required.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`protected static String` | `TYPE` The type of this destination.

Fields inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
`array`

Constructor Summary
`PDPageXYZDestination()` Default constructor.
`PDPageXYZDestination(COSArray arr)` Constructor from an existing destination array.

Method Summary
`int` | `getLeft()` Get the left x coordinate.
`int` | `getTop()` Get the top y coordinate.
`int` | `getZoom()` Get the zoom value.
`void` | `setLeft(int x)` Set the left x-coordinate, a value of -1 implies that the current x-coordinate will be used.
`void` | `setTop(int y)` Set the top y-coordinate, a value of -1 implies that the current y-coordinate will be used.
`void` | `setZoom(int zoom)` Set the zoom value for the page, a value of -1 implies that the current zoom will be used.

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
`getCOSArray, getCOSObject, getPage, getPageNumber, setPage, setPageNumber`

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
`create, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    protected static final String TYPE

  The type of this destination.

  See Also:
    Constant Field Values

Constructor Detail

### PDPageXYZDestination

    public PDPageXYZDestination()

  Default constructor.

### PDPageXYZDestination

    public PDPageXYZDestination(COSArray arr)

  Constructor from an existing destination array.

Parameters:
  `arr` - The destination array.

Method Detail

### getLeft

    public int getLeft()

  Get the left x coordinate. A return value of -1 implies that the current x-coordinate will be used.

  Returns:
    The left x coordinate.

### setLeft

    public void setLeft(int x)

  Set the left x-coordinate, a value of -1 implies that the current x-coordinate will be used.

  Parameters:
    `x` - The left x coordinate.

### getTop

    public int getTop()

  Get the top y coordinate. A return value of -1 implies that the current y-coordinate will be used.

  Returns:
    The top y coordinate.

### setTop

    public void setTop(int y)

  Set the top y-coordinate, a value of -1 implies that the current y-coordinate will be used.

  Parameters:
    `y` - The top ycoordinate.

### getZoom

    public int getZoom()

  Get the zoom value. A return value of -1 implies that the current zoom will be used.

  Returns:
    The zoom value for the page.

### setZoom

    public void setZoom(int zoom)

  Set the zoom value for the page, a value of -1 implies that the current zoom will be used.

  Parameters:
    `zoom` - The zoom value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD